> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a purchase order



## OpenAPI

````yaml post /purchase_orders
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /purchase_orders:
    post:
      tags:
        - Purchase Orders
      summary: Create a purchase order
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                purchase_order:
                  type: array
                  items:
                    properties:
                      external_provider:
                        type: string
                        example: External System
                      external_id:
                        type: string
                        example: ExSys67687
                      po_number:
                        type: string
                        example: ExSys67687
                      status:
                        type: string
                        example: issued
                      version:
                        type: integer
                        example: '0'
                      owners:
                        type: object
                        properties:
                          job:
                            type: integer
                            example: '23'
                          supplier:
                            type: integer
                            example: '23'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: '23'
                  external_provider:
                    type: string
                    example: External Service
                  external_id:
                    type: string
                    example: EX67868
                  po_number:
                    type: string
                    example: EX67868
                  version:
                    type: integer
                    format: '0'
                  status:
                    type: string
                    format: issued
                  owners:
                    type: object
                    properties:
                      job:
                        type: integer
                        example: '2'
                      supplier:
                        type: integer
                        example: '2'
        '400':
          description: bad request
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````